Subject: [bug#61204] Scilab scientific software

From: Nicolas Graves <[email-masked]>
Date: Sat, 25 Mar 2023 15:17:59 +0100

On 2023-03-16 12:26, Ludovic Courtès wrote:

> Hi Nicolas,
>
> Simon Tournier <[email-masked]> skribis:
>
>> …I see two issues about licenses:
>>
>>  1. Metis 4 is not free software
>>  2. Scilab is Cecill v2.1 and not gpl2 as the patch suggests.
>>
>> About #2, the fix is easy. :-)
>>
>> About #1, it will be difficult.
>
> [...]
>
>> If Scilab 6 works with Metis 5, then there is no issue with the licenses
>> and could be included.
>
> Could you check whether using Metis 5 is possible, or whether Metis is
> an optional dependency, or whether scotch:metis can be used (Scotch is
> another graph partitioner with a Metis compatibility layer)?

Actually, I've seen that it's possible to compile Suitesparse@3 without
support for Metis@4. Scilab seems to work correctly, so I'll stop here
for this version ;)

I've just send a v2 patch thread. 

> TIA,
> Ludo’.

-- 
Best regards,
Nicolas Graves